#
# spec file for package python-traittypes
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-traittypes
Version:        0.2.1
Release:        bp154.1.15
Summary:        Scipy trait types
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/jupyter-widgets/traittypes
Source:         https://files.pythonhosted.org/packages/source/t/traittypes/traittypes-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-traitlets >= 4.2.2
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pandas}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module traitlets >= 4.2.2}
BuildRequires:  python3-xarray
# /SECTION
%python_subpackages

%description
Custom trait types for scientific computing.

%prep
%setup -q -n traittypes-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# gh#jupyter-widgets/traittypes#31
# tests require xarray, which doesn't support python2, even though the package itself doesn't
nosetests-%{python3_bin_suffix} -v -e 'test_bad_values' traittypes

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Apr 25 2019 Todd R <toddrme2178@gmail.com>
- Disable xarray dependency and tests that require it on python2
  since xarray no longer supports python2.
* Wed Feb 20 2019 Matej Cepl <mcepl@suse.com>
- Exclude test_bad_values test while it is failing
  (gh#jupyter-widgets/traittypes#31)
* Thu Aug  2 2018 toddrme2178@gmail.com
- Update to 0.2.1
  * Add xarray DataArray
  * Remove unused imports (pandas and xarray)
  * Add xarray Dataset
  * Allow Undefined as default
  * Refactor commond pandas trait type (DRY)
  * Add tests for SciType validators
  * Only raise error for missing dependencies on use
* Fri Apr 20 2018 toddrme2178@gmail.com
- Initial version
